<?php

namespace App\Http\Middleware;

use Closure;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\App;
use Illuminate\Support\Facades\Log;

class SetLocaleMiddleware
{
    public function handle(Request $request, Closure $next)
    {
        $locale = session('app_locale', config('app.locale'));

        App::setLocale($locale);
        return $next($request);
    }
}
